Fulfillment & ShippingFulfillment
Assign fulfillment order
Assigns the fulfillment order to a location, which becomes responsible for preparing it.
POST
/v1/fulfillment/orders/{id}/assignAssigns the fulfillment order to a location, which becomes responsible for preparing it.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/fulfillment/orders/7204558912004325301/assign" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "locationId": "7204558912004325301" }'{ "id": "7204558912004325301", "orderId": "7204558912004325301", "orderNumber": "ORD-2026-0001", "locationId": "7204558912004325301", "locationName": "Example resource", "status": "pendingAssignment", "shipmentOriginKind": "manual", "shippingConnectionId": "7204558912004325301", "packageId": "7204558912004325301", "shipmentId": "7204558912004325301", "trackingNumber": "example", "trackingLink": "example", "labelUrl": "https://example.com/resource", "carrierName": "Example resource", "items": [ { "orderItemId": "7204558912004325301", "productId": "7204558912004325301", "variantId": "7204558912004325301", "title": "Example title", "sku": "SKU-001", "quantity": 1, "shippedQuantity": 1, "remainingQuantity": 1, "committedQuantity": 1 } ], "shipments": [ { "id": "7204558912004325301", "originKind": "manual", "shippingConnectionId": "7204558912004325301", "packageId": "7204558912004325301", "shipmentId": "7204558912004325301", "trackingNumber": "example", "trackingLink": "example", "labelUrl": "https://example.com/resource", "carrierName": "Example resource", "items": [ { "orderItemId": "7204558912004325301", "sku": "SKU-001", "quantity": 1, "weight": 1, "weightUnit": "kilogram" } ], "createdOn": "2026-08-01T15:30:00Z" } ], "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}